---
title: Stop
url: https://docs.vultr.com/products/compute/instances/cloud-compute/management/stop-instance
description: Learn how to temporarily halt your Vultr Cloud Compute instance while preserving its configuration and data.
publish_date: 2024-09-23T20:19:54.616085Z
last_updated: 2026-05-26T18:42:52.711786Z
---

# How to Stop a Vultr Cloud Compute Instance

Stopping an instance shuts it down and disables network connectivity until it is restarted. The operating system and all running processes are halted, but billing continues unless the instance is deleted.

Follow this guide to stop a Vultr Cloud Compute instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Cloud Compute instance to open its management page.
    1. Click **Stop Server** on the top-right navigation menu to stop the instance.s
    1. Click **Stop Server** in the confirmation prompt to stop the instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Halt Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/halt-instances) to stop the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/halt" \
           -X POST \
           -H "Authorization: Bearer ${VULTR_API_KEY}" \
           -H "Content-Type: application/json" \
           --data '{
             "instance_ids" : [
               "your-instance-id"
             ]
           }'
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Stop the instance.

        ```console
        $ vultr-cli instance stop <your-instance-id>
        ```
